#if !defined(AFX_GETALLNOTEFIELDS_H__DFBE7EDD_846F_4466_ACF7_EDEDD3101A0C__INCLUDED_)
#define AFX_GETALLNOTEFIELDS_H__DFBE7EDD_846F_4466_ACF7_EDEDD3101A0C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// GetAllNoteFields.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CGetAllNoteFields dialog

class CGetAllNoteFields : public CDialog
{
// Construction
public:
	CGetAllNoteFields(CWnd* pParent = NULL);   // standard constructor
	CGetAllNoteFields(IApplication *pApp, CWnd* pParent = NULL);
// Dialog Data
	//{{AFX_DATA(CGetAllNoteFields)
	enum { IDD = IDD_GET_NOTEFIELDS };
	CComboBox	m_NFList;
	CComboBox	m_AcctList;
	CComboBox	m_SubAcctList;
	CEdit	m_sNFDefinition;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGetAllNoteFields)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CGetAllNoteFields)
	virtual BOOL OnInitDialog();
	afx_msg void OnClose();
	afx_msg void OnSelchangeAcctlist();
	afx_msg void OnSelchangeSubAcctlist();
	afx_msg void OnSelchangeNFlist();
	void LoadAccounts();
	void LoadSubAccounts();
	void LoadNoteFields();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()


private:
	IApplicationPtr pApplication;
	VARIANT m_vNotefields;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_GETALLNOTEFIELDS_H__DFBE7EDD_846F_4466_ACF7_EDEDD3101A0C__INCLUDED_)
